<?xml version="1.0" encoding="UTF-8"?><!--Converted at: Wed May 11 15:49:38 KST 2016-->
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" 
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="nlib.user.service.impl.UserInfoDAO">
    <resultMap type="nlib.user.service.NlibLoginVO" id="NlibLoginVO">
        <result column="MB_INFO_ID" property="mbInfoId"/>
        <result column="LOGIN_USER_ID" property="loginUserId"/>
        <result column="USER_DIV" property="userDiv"/>
        <result column="NAME" property="name"/>
        <result column="PASSWORD" property="password"/>
        <result column="BIRTHDAY" property="birthday"/>
        <result column="MOBILE_NO" property="mobileNo"/>
        <result column="ZIP_CODE" property="zipCode"/>
        <result column="ADDRESS" property="address"/>
        <result column="ADDRESS_DETAIL" property="addressDetail"/>
        <result column="GENDER" property="gender"/>
        <result column="REG_ID" property="regId"/>
        <result column="MOD_ID" property="modId"/>
        
    </resultMap>
    
    <select id="selectMyInfo" parameterType="nlib.user.service.NlibLoginVO" resultMap="NlibLoginVO">
        SELECT 
	            LOGIN_USER_ID
            FROM
                TMP_SM_USER
            WHERE 1=1
                AND USER_ID="U2000000003"
            
    </select>
    
    <update id="updateMyInfo" parameterType="nlib.user.service.NlibLoginVO">
        UPDATE 
            TMP_SM_USER
           SET
	            USER_NM=#{userNm}
	            ,USER_PWD=#{userPwd}
	            ,BIRTHDATE=#{birthdate}
	            ,GENDER=#{gender}
	            ,TEL_NO=#{telNo}
	            ,ZIPCODE=#{zipcode}
	            ,ADDR1=#{addr1}
	            ,ADDR2=#{addr2}
            WHERE 1=1
               AND USER_ID="U2000000003"
    </update>
    
   
</mapper>